Subject: Re: bug#10995: am__py_compile dose not get added to Makefile.in's

From: Steven Drake <[email-masked]>
Date: Thu, 15 Mar 2012 20:20:56 +1300 (NZDT)

On Mon, 12 Mar 2012, Stefano Lattarini wrote:

> Hi Steven, thanks for the report.
> 
> On 03/11/2012 08:32 AM, Steven Drake wrote:
> > The variable gets used by install-%DIR%PYTHON: (from lib/am/python.am) but
> > it definition is not include in the output Makefile.in.
> > 
> I cannot reproduce this bug, sorry.  In fact, I've enhanced the 'python.test'
> test case to ensure the bug you're describing is actually not present in the
> 'maint' branch (see attached patch).  Maybe there is something unusual in your
> setup that is causing the problem?  Could send us more information, so that we
> can try to reproduce the issue?

Running the 'python.test' with the attached patch passes! but I had a look
at the package that had the original problem and the line just isn't there.

For reference the package build log are available at:
http://ftp.netbsd.org/pub/pkgsrc/misc/sbd/reports/Linux-x86_64/20120304.1324/usrp-3.3.0nb4/

The build process rebuilds the autoconf and automake files before running
the configure script.

Its possible to tell that it doesn't get defined by the line in 'install.log':
"/bin/sh: line 15: --destdir: command not found"

The problem goes away if the attached patch is applied.

-- 
Steven

--- lib/am/python.am.orig	2012-01-31 11:41:18.000000000 +0000
+++ lib/am/python.am
@@ -23,8 +23,8 @@ endif %?INSTALL%
 ## Installing.  ##
 ## ------------ ##
 
+?FIRST?am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
 if %?INSTALL%
-?FIRST?am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
 am__installdirs += "$(DESTDIR)$(%NDIR%dir)"
 .PHONY install-%EXEC?exec:data%-am: install-%DIR%PYTHON
 install-%DIR%PYTHON: $(%DIR%_PYTHON)